package příklady;

import rup.česky.tvary.AktivníPlátno;
import rup.česky.tvary.Elipsa;
import rup.česky.tvary.Obdélník;
import rup.česky.tvary.Trojúhelník;


/*******************************************************************************
 * Testovací třída ČernáDíra2Test slouží ke komplexnímu otestování
 * třídy ...
 *
 * @author    jméno autora
 * @version   0.00.000,  0.0.2003
 */
public class ČernáDíra_8Test extends junit.framework.TestCase
{
	private int krok;
	private AktivníPlátno AP;
	private Obdélník    o1;
	private Elipsa      e1;
	private Trojúhelník t1;
	private Strom_8     s1;


//##############################################################################
//== KONSTRUKTORY A METODY VRACEJÍCÍ INSTANCE VLASTNÍ TŘÍDY ====================

    /***************************************************************************
     * Vytvoří test se zadaným názvem.
     *  
     * @param název  Název konstruovaného testu
     */
    public ČernáDíra_8Test(String název)
    {
        super( název );
    }



//== PŘÍPRAVA A ÚKLID PŘÍPRAVKU ================================================

    /***************************************************************************
     * Vytvoření přípravku (fixture), tj. sady objektů, s nimiž budou všechny
     * testy pracovat a která se proto vytvoří před spuštěním každého testu.         
     */
    protected void setUp()
    {
		krok = 50;
		AP = AktivníPlátno.getPlátno();
		AP.setKrokRozměr( krok, 6, 6 );
		
		e1 = new Elipsa();
		AP.přidej(e1);
		t1 = new Trojúhelník( 0, 3*krok, 2*krok, 3*krok);
		AP.přidej(t1);
		o1 = new Obdélník( 4*krok, 5*krok, 2*krok, krok );
		AP.přidej(o1);
		s1 = new Strom_8(4*krok, 0, 2*krok, 5*krok );
		AP.přidej(s1);
	}


    /***************************************************************************
     * Úklid po testu - tato metoda se spustí po vykonání každého testu.
     */
    protected void tearDown()
    {
    }


//== SOUKROMÉ A POMOCNÉ METODY TŘÍDY ===========================================
//== SOUKROMÉ A POMOCNÉ METODY INSTANCÍ ========================================
//== VNOŘENÉ A VNITŘNÍ TŘÍDY ===================================================
//== VLASTNÍ TESTY =============================================================

    /***************************************************************************
     * 
     * /
    public void testXXX()
    {
    }
    
/**/ 

	public void testSpolkni()
	{
		ČernáDíra_8 díra = ČernáDíra_8.getInstance();
		assertNotNull(díra);
		díra.spolkni(e1);
		díra.spolkni(t1);
		díra.spolkni(o1);
		díra.spolkni(s1);
	}
}
//public class ČernáDíra2Test extends junit.framework.TestCase


